version: '0.1'

services:
  bricklog_server:
    container_name: BrickLog_Server
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "8080:8080"  # Expose the application on port 8080
    extra_hosts:
      - "host.docker.internal:host-gateway"  # Enables access to the host's MariaDB instance